import 'dart:convert';

import 'package:dart_json_mapper/dart_json_mapper.dart';
import 'package:naiyouwl/app/bean/rule.dart';

import '../data/model/NodeMode.dart';
import 'clash_config_generator.dart';

@jsonSerializable
class ClashConfigEntity {
  int? port;
  @JsonProperty(name: "socks-port")
  int? socksPort;
  @JsonProperty(name: "redir-port")
  int? redirPort;
  @JsonProperty(name: "tproxy-port")
  int? tproxyPort;
  @JsonProperty(name: "mixed-port")
  int? mixedPort;
  List<dynamic>? authentication;
  @JsonProperty(name: "allow-lan")
  bool? allowLan;
  @JsonProperty(name: "bind-address")
  String? bindAddress;
  String? mode;
  @JsonProperty(name: "log-level")
  String? logLevel;
  bool? ipv6;

  ClashConfigEntity(this.port,this.socksPort,this.redirPort,this.tproxyPort,this.mixedPort,this.authentication,this.allowLan,this.bindAddress,this.mode,this.logLevel,this.ipv6);




}
