import 'package:get/get.dart';

import '../common/LogHelper.dart';
import '../data/model/NodeMode.dart';
import '../network/api_service.dart';

class GlobalController extends GetxController {
  var nodeModes = <NodeMode>[].obs;
  var isLoading = false.obs;
  var errorMsg = ''.obs;
  Future<void> fetchNodes() async {
    nodeModes.value = await ApiService().getNode("/api/client/v4/nodes?vless=1");
  }
}
