import 'package:dart_json_mapper/dart_json_mapper.dart';

@jsonSerializable
class NodeMode {
  int? id;
  String? name;
  String? host;
  String? group;
  String? type;
  int? port;
  String? uuid;
  String? method;
  int? v2AlterId;
  String? v2Net;
  String? v2Type;
  String? v2Host;
  String? v2Path;
  String? v2Tls;
  String? v2Sni;
  int? udp;
  int? vless;
  String? vlessPulkey;
  String? ip;
  @JsonProperty(name: "online_users")
  int? onlineUsers;
  @JsonProperty(name: "country_code")
  String? countryCode;
  NodeMode(
      {this.id,
        this.name,
        this.host,
        this.group,
        this.type,
        this.port,
        this.uuid,
        this.method,
        this.v2AlterId,
        this.v2Net,
        this.v2Type,
        this.v2Host,
        this.v2Path,
        this.v2Tls,
        this.v2Sni,
        this.udp,
        this.vless,
        this.vlessPulkey,
        this.ip,
        this.onlineUsers,
        this.countryCode,
      });
}
